<?php
session_start();
require_once 'config.php';

// بررسی اینکه آیا کاربر مجاز است یا نه
if (!isset($_SESSION['username'])) {
    header('Location: login.php');
    exit;
}

// بررسی آپلود فایل
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['updateFile'])) {
    $updateFile = $_FILES['updateFile'];
    if ($updateFile['error'] === UPLOAD_ERR_OK) {
        $uploadDir = 'updates/';
        move_uploaded_file($updateFile['tmp_name'], $uploadDir . $updateFile['name']);

        // استخراج فایل ZIP
        $zip = new ZipArchive;
        if ($zip->open($uploadDir . $updateFile['name']) === TRUE) {
            $zip->extractTo('./'); // استخراج به دایرکتوری اصلی
            $zip->close();
            echo "ربات با موفقیت به‌روز شد.";
        } else {
            echo "خطا در استخراج فایل.";
        }
    }
}
?>

<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <title>مدیریت ربات تلگرام</title>
</head>
<body>
    <h1>مدیریت ربات تلگرام</h1>
    <form method="POST" enctype="multipart/form-data">
        <label for="updateFile">آپلود فایل به‌روزرسانی:</label><br>
        <input type="file" id="updateFile" name="updateFile" required><br><br>
        <input type="submit" value="بروزرسانی ربات">
    </form>
</body>
</html>